--- a/configure.orig	2012-02-24 10:46:04.000000000 -0600
+++ b/configure	2012-03-30 21:19:17.000000000 -0500
@@ -253,7 +253,7 @@
 fi
 
 if test "$f_plf_auto" = NO; then
-  echo -n "  Checking for platform $f_platform... "
+  printf "  Checking for platform $f_platform... "
   if test '!' -d tmake/lib/$f_platform; then
     echo "not supported!" 
     echo
@@ -267,7 +267,7 @@
 if test "$f_wizard" = YES; then
   if test -z "$QTDIR"; then
     echo "  QTDIR environment variable not set!"
-    echo -n "  Checking for Qt..."
+    printf "  Checking for Qt..."
     for d in /usr/{lib,share,qt}/{qt-4,qt4,qt,qt*,4} /usr; do
       if test -x "$d/bin/qmake"; then
         QTDIR=$d
@@ -275,7 +275,7 @@
     done
   else
     echo "  Detected Qt via the QTDIR environment variable..."
-    echo -n "                    "
+    printf "                    "
   fi
   if test -z "$QTDIR"; then
     echo "QTDIR not set and Qt not found at standard locations!"
@@ -288,7 +288,7 @@
    
 # - check for make ------------------------------------------------------------
 
-echo -n "  Checking for GNU make tool... "
+printf "  Checking for GNU make tool... "
 if test "$f_make" = NO; then
   make_names="gmake make"
   make_dirs="$bin_dirs /usr/bin /usr/local/bin /bin /sbin"
@@ -315,7 +315,7 @@
 
 # - check for install ------------------------------------------------------------
 
-echo -n "  Checking for GNU install tool... "
+printf "  Checking for GNU install tool... "
 if test "$f_insttool" = NO; then
   install_names="ginstall install"
   install_dirs="$bin_dirs /usr/bin /usr/local/bin /bin /sbin /usr/ucb"
@@ -352,7 +352,7 @@
 
 # - check for dot ------------------------------------------------------------
 
-echo -n "  Checking for dot (part of GraphViz)... "
+printf "  Checking for dot (part of GraphViz)... "
 if test "$f_dot" = NO; then
   dot_dirs="$bin_dirs /usr/bin /usr/local/bin /bin /sbin"
   dot_prog=NO
@@ -373,7 +373,7 @@
 
 # - check for perl ------------------------------------------------------------
 
-echo -n "  Checking for perl... "
+printf "  Checking for perl... "
 if test "$f_perl" = NO; then
   perl_names="perl perl5"
   perl_dirs="$bin_dirs /usr/bin /usr/local/bin /bin /sbin"
@@ -406,7 +406,7 @@
 
 # - check for flex ------------------------------------------------------------
 
-echo -n "  Checking for flex... "
+printf "  Checking for flex... "
 if test "$f_flex" = NO; then
   flex_dirs="$bin_dirs /usr/bin /usr/local/bin /bin"
   flex_prog=NO
@@ -430,7 +430,7 @@
 
 # - check for bison ------------------------------------------------------------
 
-echo -n "  Checking for bison... "
+printf "  Checking for bison... "
 if test "$f_bison" = NO; then
   bison_dirs="$bin_dirs /usr/bin /usr/local/bin /bin"
   bison_prog=NO
@@ -658,7 +658,7 @@
 if test -f "src/lang_cfg.h"; then
     chmod u+w src/lang_cfg.h   # make sure file can be overwritten
 fi
-echo -n "  Generating src/lang_cfg.h..."
+printf "  Generating src/lang_cfg.h..."
 echo $f_langs | $f_perl -e '@l=split(/,/,<STDIN>); 
         chomp @l; 
 	@allowed=(split(/,/,"NL,SV,CZ,FR,ID,IT,DE,JP,JE,ES,FI,RU,HR,PL,PT,HU,KR,KE,RO,SI,CN,NO,MK,BR,DK,SK,UA,GR,TW,SR,CA,LT,ZA,AR,FA,SC,VI,TR,EO,AM"));
